package com.ssj.dao.kmt.kmt.dao;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface KmtArrangeQueryDao {

	List<Map<String,Object>> findHaveTeacherList(String parentTeacherId,String id, String teacherName);
	
	List<Map<String,Object>> findNoHaveTeacherList(List<String> teacherIds,Date month);
	
	Page<Map<String, Object>> findTeamTeacherList(String parentTeacherId,String type,String tempId,String arrangeDate,String teacherName,Pageable pageable);

	/**
	 * 查询小组下有多少老师的排班时长达到 30 个时段的人数
	 * @param parentTeacherId
	 * @return
	 */
	List<Map<String, Object>> findGTTeacherByMonthList(String parentTeacherId,Date month);
	
	/**
	 * 查询最近时间段的老师列表
	 * @param parentTeacherId
	 * @param month
	 * @return
	 */
	List<Map<String, Object>> findKmtArrangeAllotByArrangeTemplateIdList(String arrangeTemplateId);
}
